delivery_mode

The message delivery policy to establish when opening a link. More...

`#include <delivery_mode.hpp>`

## Public Types

enum | modes { NONE , AT_MOST_ONCE , AT_LEAST_ONCE }
| Delivery modes. More...

## Detailed Description

The message delivery policy to establish when opening a link.

This structure imitates the newer C++11 "enum class" so that The enumeration constants are in the delivery_mode namespace.

## Member Enumeration Documentation

## modes

enum modes

Delivery modes.

Enumerator
NONE | No set policy. The application must settle messages itself according to its own policy.
AT_MOST_ONCE | Outgoing messages are settled immediately by the link. There are no duplicates.
AT_LEAST_ONCE | The receiver settles the delivery first with an accept/reject/release disposition. The sender waits to settle until after the disposition notification is received.

The documentation for this struct was generated from the following file:

- proton/delivery_mode.hpp